package com.rosetta.messenger.network

/**
 * Base class for all protocol packets
 */
abstract class Packet {
    abstract fun getPacketId(): Int
    abstract fun receive(stream: Stream)
    abstract fun send(): Stream
}
